
/* @(#)dbm.h 1.1 86/09/25 SMI; from UCB 4.1 83/06/27 */

#define	PBLKSIZ	1024
#define	DBLKSIZ	4096
#define	BYTESIZ	8
#ifndef NULL
#define	NULL	((char *) 0)
#endif

long	bitno;
long	maxbno;
long	blkno;
long	hmask;

extern char	pagbuf[];
extern char	dirbuf[];

extern int	dirf;
extern int	pagf;
extern int	dbrdonly;

typedef	struct _datum
{
	char	*dptr;
	int	dsize;
} datum;
ern ;
int  _near dbminit(char  *file);
int  _near dbmflush(void);
int  _near dbmclose(void);
void  _near dbm_access(long  hash);
long  _near hashinc(long  hash);
datum	_near fetch(datum);
datum	_near makdatum();
datum	_near firstkey();
datum	_near nextkey();
datum	_near firsthash();
long	_near calchash();
long	_near hashinc();
int	_near store(datum, datum);
